3()

NAME
EZ_GetWidgetFont - move a scrollbar

SYNOPSIS
#include <EZ.h>

XFontStruct *EZ_GetWidgetFont( EZ_Widget *widget)
XFontStruct *EZ_GetFontFromId( int id)
XFontStruct *EZ_GetFontFromXFontId( Font xfid)
XFontStruct *EZ_GetFontFromName( char *fname)

ARGUMENTS
widget specifies a widget.

id specifies a font id.

xfid specifies an X Font id.

fname specifies an X font name.

DESCRIPTION

EZ_GetWidgetFont returns the default font used to render a widget label or text.

EZ_GetFontFromId returns the XFontStruct associated with an internal font id.

EZ_GetFontFromXFontId returns the XFontStruct associated with the specified X Font.

EZ_GetFontFromName loads the specified font and return the allocated XFontStruct.

These functions never return NULL. When the requested font does not exist, it returns the font structure associated to the font "9x15", which seems to be available on all X servers.

SEE ALSO
EZ_GetBackgroundGC(3)